=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , x11proto-core-dev, libliqbase-dev (>= 0.3.57), libsqlite3-dev, libcurl3-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} ,libliqbase1 (>= 0.3.57), liqtorch, liqcontrolpanel, liqpostcard, onedotzero
Description: graphical ideas playground for liqbase toys
 graphical ideas playground for all of the liqbase toys
